<?php		

	/**
	 *	User ads
	 * 
	 * 	Regged users only
	 * 
	 *	@package 	ClassAd
	 *	@author 	cts projects&software <classad@projects-and-software.de>
	 *	@copyright 	cts projects&software 2002-2006
	 *	@copyright	All rights reserved
	 *	@version	4.00
	 * 
	 */


	require "inc/includer.inc.php";

	function CalcUserRights()		{

		// Calculates User rights in bitwise form	
		$intRight = 0;
		if($_POST['f_RightUser']=="yes")			{ $intRight += 1; }
		if($_POST['f_RightUserAuth']=="yes")		{ $intRight += 2; }
		if($_POST['f_RightUserComm']=="yes")		{ $intRight += 16; }
		if($_POST['f_RightUserAdmin']=="yes")		{ $intRight += 64; }
		if($_POST['f_RightUserDebug']=="yes")		{ $intRight += 128; }

		return $intRight;
	}

	
	//
	// Init variables
	//
	$bError = FALSE;
	$strMessage = "";
	
	
	// Send header
	$PageTitle = GetPageTitle(LANG_TTLMYMESS);
	include "inc/header.inc.php";
	
	//
	// Securitycheck
	//
	if(!isset($_SESSION['s_UserInfo']) || !is_array($_SESSION['s_UserInfo']))			{
		// User has no rights to submit ads
		$bError=true;
		$_SESSION['LoginMessage'] = LANG_USERNOTLOGGEDON;
		$_SESSION['RedirectTarget'] = $_SERVER['REQUEST_URI'];
		$RedirectTag = "<meta http-equiv=\"refresh\" content=\"0; URL=userlogin.php\">";
		include "inc/header.inc.php";
		die();
	}
	
	//
	// Process form
	//
	if(isset($_POST['send']) && strtoupper($_POST['send'])=="YES")	{

		// Do actions
		if(isset($_POST['f_action']))	{
			
			// POST-Request
			// switch between different actions
			switch(strtoupper($_POST['f_action']))  	{
				case "DELETE":
					
					$RetArray = DeleteArrayOfMessage((array)$_POST['f_adlist'], $_SESSION['s_UserInfo']['userid']);
					if($RetArray==false)	{
						// problems
						$bError = TRUE;
						$strMessage = LANG_GENERALBACKERROR;
					} else {
						// Everything was okay, return to mymessages	
						$bError = FALSE;
						$strMessage = ParseIn(LANG_EDMYMESSARRAYDELETE, $RetArray['good'], $RetArray['bad']);
					}
					break;
				case "PROLONG":
					ProlongArrayOfMessage((array)$_POST['f_adlist']);
					$strMessage = LANG_GENERALEDITSUCCESS;
					break;
			}
		}	
	}

	
	//
	// Get data
	//
	$data = GetArticlesByUser($_SESSION['s_UserInfo']['userid']);
	
	//
	// Display template
	//
	$BreadCrumb = "<a href=\"index.php\">".LANG_FIELDMAINCATEGORY."</a>".
		"&nbsp;&gt;&nbsp;".
		LANG_TTLMYMESS;
		
	// Build ad overview
	$MyAdTable = "<tr>".
		"<th width=\"10%\">".LANG_HEADLINEPICROW."</th>".		
		"<th width=\"46%\">".LANG_HEADLINETITLEROW."</th>".
		"<th width=\"10%\">".LANG_HEADLINEDATEROW."</th>".
		"<th width=\"5%\">".LANG_HEADLINEADFEAT."</th>".
		"<th width=\"7%\">".LANG_HEADLINEADVIEWS."</th>".
		"<th width=\"7%\">".LANG_HEADLINEADCONTS."</th>".
		"<th width=\"7%\">".LANG_HEADLINEADTELL."</th>".
		"<th width=\"5%\">".LANG_HEADLINEADSELECT."</th>".
		"</tr>";
	
	if(!is_array($data) || sizeof($data)==0)	{

		$MyAdTable.="<tr><td colspan=\"8\">".
			"<div align=\"center\">".LANG_NOADSUSER."</div>".
			"</td></tr>";
	
	} else {
		
		$ViewSum = 0;
		$ContSum = 0;
		$TellSum = 0;
		$AdSum = 0;
		
		$i=0;
					
		// Ads found, so display them
		foreach($data as $element)		{
							
			$ThumbPic="";
			if(!empty($element['adpiclink']))	{
				$ThumbPic = "<img src= \"".$GLOBALS['PD_USERGRAPHICS']."tn_".$element['adpiclink']."\" border=\"0\">";
			} else {
				$ThumbPic = "<img src=\"".$GLOBALS['PD_SCRIPTGRAPHICS']."no_image.gif\" alt=\"".LANG_NOPICAVAILABLE."\">";
			}
			
			// Only checked elements get the possibility to be displayed
			if($element['adchecked'])	{
				$ThumbPic = "<a href=\"showad.php?adid=".$element['adid']."\">".
					$ThumbPic.					
					"</a>";
			} 
						
			$FeatPic="";
			if($element['adfeatured'])	{ 
				$FeatPic = "Yes!"; 
			} else { 
				$FeatPic = "No."; 
			}
			
			$Inputbox="<input type=\"checkbox\" name=\"f_adlist[]\" value=\"".$element['adid']."\">";
			
			$EditLink = ($element['adchecked']?
				"<a href=\"editmessageuser.php?adid=".$element['adid']."\">".$element['adtitle']."</a>":
				$element['adtitle']." <i>".LANG_WAITINGFORCHECK."</i>");			
			
			$Dayslasting = "";
			$RemainDays = strval(DaysBetweenDates($element['adoutdate']));
			
			if($RemainDays<=0)		{
				$Dayslasting = LANG_REMAINDAYSOUTDATED;	
			} elseif($RemainDays <365)		{
				$Dayslasting = ParseIn(LANG_REMAINDAYSNORMAL,$RemainDays);	
			} else { 
				$Dayslasting = LANG_REMAINDAYSOVERYEAR; 
			}
			
			
			$MyAdTable.="<tr ".($i%2==0?"class=\"highlighted\"":"").">".
				"<td width=\"10%\" align=\"center\">".$ThumbPic."</td>".		
				"<td width=\"46%\">".$EditLink."<br>".
				"<i>".LANG_FIELDCAT.": <a href=\"showads.php?catid=".
					$element['catid']."\">".$element['catname']."</a></i>".					
				"</td>".
				"<td width=\"10%\"".($RemainDays<=7 ? "class=\"warning\"":"class=\"nowarning\"").">".
				FormatDate($element['adindate'],$_SESSION['s_UserInfo']['userdeflang'])."<br>".$Dayslasting."</td>".
				"<td width=\"5%\" align=\"center\">".$FeatPic."</td>".
				"<td width=\"7%\" align=\"right\" >".$element['adviewed']."</td>".
				"<td width=\"7%\" align=\"right\">".$element['adcontcounter']."</td>".
				"<td width=\"7%\" align=\"right\">".$element['adtellcounter']."</td>".
				"<td width=\"5%\" align=\"center\">".$Inputbox."</td></tr>";
			
			// Update counters
			$i++;
			$AdSum++;
			$ViewSum += $element['adviewed'];
			$ContSum += $element['adcontcounter'];
			$TellSum += $element['adtellcounter'];
		}
		
		// Summary
		$MyAdTable.="<tr><td colspan=\"4\" class=\"summaryrow\">".
			ParseIn(LANG_SHOWADSARTICLECOUNT,(sprintf("%d",$AdSum)))."</td>".	
			"<td class=\"summaryrow\" style=\"text-align:right;\" width=\"7%\" align=\"right\" >".$ViewSum."</td>".
			"<td class=\"summaryrow\" style=\"text-align:right;\" width=\"7%\" align=\"right\">".$ContSum."</td>".
			"<td class=\"summaryrow\" style=\"text-align:right;\" width=\"7%\" align=\"right\">".$TellSum."</td>".
			"<td class=\"summaryrow\" style=\"text-align:right;\" width=\"5%\" align=\"right\">&nbsp;</td></tr>";
			
		// Add action options to select box
		$MyAdTable.="<table width=\"100%\"><tr><td><div align=\"right\">".
			"<select name=\"f_action\" class=\"inputbig\">".
			"<option value=\"NOOP\">".LANG_USERACTIONSELECT."</option>".
			"<option value=\"DELETE\">".LANG_USERACTIONDELETE."</option>".
			"<option value=\"PROLONG\">".LANG_USERACTIONPROLONG."</option>".
			"</select>".
			"<input type=\"submit\" name=\"CommitAction\" value=\"".
				LANG_USERACTIONBUTTON."\"  class=\"button\" style=\"width:150px;\">".
			"</div></td></tr></table>";
	
	}
	$EnterDate = FormatDate($_SESSION['s_UserInfo']['usercreatedate']);
	$LastLoginDate = FormatDate($_SESSION['s_UserInfo']['userlastlogin'],"",false);
	
	// Build User stats
	$_SESSION['s_SummaryArray']=GetUserSummary($_SESSION['s_UserInfo']['userid']);
	
	$strSumOfAds = ParseIn(LANG_USERINFOSUMOFADS, $_SESSION['s_SummaryArray']['AdSum']);
	$strViewsOfAds = ParseIn(LANG_USERINFOVIEWSOFADS, $_SESSION['s_SummaryArray']['ViewSum']);
	$strContsOfAds = ParseIn(LANG_USERINFOCONTSOFADS, $_SESSION['s_SummaryArray']['ContSum']);
	$strTellsOfAds = ParseIn(LANG_USERINFOTELLSOFADS, $_SESSION['s_SummaryArray']['TellSum']);
	$strFeatsOfAds = ParseIn(LANG_USERINFOFEATSOFADS, $_SESSION['s_SummaryArray']['FeatSum']);
	
	//
	// Include templates
	//		
	include "templates/".$GLOBALS['ACTIVELANGUAGE']."/usermymessages.tpl.php";	
	include "inc/footer.inc.php";
?>