<?php				

	//	cts ClassAd Version 3.6
	// 	Include common functions, configuration and string table									
	//
	//	Notes: -
	//
	// (c) 2002-2006 cts projects&software, www.how2pc.de/classad
	
	
	//
	// Start session, read configuration, import defines
	//
	require "inc/sessionstart.inc.php";
	require "inc/config.inc.php";
	require "inc/defines.inc.php";
	
	//
	// Include best possible language file
	//
	$strLanguage = "";
	$strLanguageFile = "";
	
	if(isset($_SESSION['s_UserInfo']['userdeflang']))	{
		// Logged in user, set its default language
		$strLanguage = (string)$_SESSION['s_UserInfo']['userdeflang'];
	} elseif(isset($_COOKIE['userlanguage']))	{
		// Check, if a cookie is set that regulates which language is to be used
		$strLanguage = (string)$_COOKIE['userlanguage'];
	} else {
		// Default: Use configurated standard language
		$strLanguage = $GLOBALS['DEFLANG'];
	}
	
	if(!array_key_exists(strtoupper($strLanguage),$GLOBALS['DEFINEDLANGS']))		{
		$strLanguage = $GLOBALS['DEFLANG'];	
	}
	
	$strLanguageFile = "languages/language.".(strtoupper($strLanguage)).".php";

	if(!is_file($strLanguageFile))	{
		echo "FATAL ERROR: Language configuration error. Language file ".$strLanguageFile." not found.";
		die();
	} else {
		$GLOBALS['ACTIVELANGUAGE'] = strtoupper($strLanguage);
		require ($strLanguageFile);
	}
	
	//
	// include necessary functions and classes
	//
	require "inc/baseclass.inc.php";
	require "inc/date.inc.php";
	require "inc/simple_categories.inc.php";
	require "inc/common.inc.php";
	
	//
	// Include database
	//
	switch($GLOBALS['DB_TYPE'])		{
		case 1:
			require "inc/mysqlclass.inc.php";
			break;
		case 2:
			require "inc/mssqlclass.inc.php";			
			break;
		default:
			echo "<b>Undefined Databasetype selected!</b><br>Please check your configuration!";
			die();
	}
	
	//
	// Include session management
	//
	require "inc/template.inc.php";
	require "inc/session.inc.php";
	
?>