<?php			

	/**
	 *	Tell-about-ad
	 * 
	 *	@package 	ClassAd
	 *	@author 	cts projects&software <classad@projects-and-software.de>
	 *	@copyright 	cts projects&software 2002-2006
	 *	@copyright	All rights reserved
	 *	@version	4.00
	 * 
	 */
				

	require "inc/includer.inc.php";

	// Header senden
	$PageTitle = GetPageTitle(LANG_TTLTELLAFRIEND);
	include "inc/header.inc.php";
	
  	// Reset test flags
  	$nametest = TRUE;
	$yourmailtest = TRUE;
	$friendsemailtest = TRUE;
	$citytest = TRUE;
	$emailtest = TRUE;
	$texttest = TRUE;
	
	// Init vars
	$bError = FALSE;
	$strMessage = "";
	
		
	if(isset($_GET['adid']))	{
		$iAdId = (integer)$_GET['adid'];
		$_SESSION['s_ContactId'] = $iAdId;
	} elseif(isset($_SESSION['s_ContactId']))	{
		$iAdId = (integer)$_SESSION['s_ContactId'];
	}

	// Antispam
	if(!isset($_SESSION['s_MaxTell']))	{
		$_SESSION['s_MaxTell'] = 0;
	} else {
		if(intval($_SESSION['s_MaxTell'])>$GLOBALS['SEC_MAX_TELL_COUNT'])	{
			$RedirectTag = "<meta http-equiv=\"refresh\" content=\"0; URL=showad.php?adid=".$iAdId."\">";
			include "inc/header.inc.php";
			die();
		}
	}
	
	if($iAdId <= 0)	{
		$RedirectTag = "<meta http-equiv=\"refresh\" content=\"0; URL=index.php\">";
		include "inc/header.inc.php";
		die();
	}
	
	// Get article details
	$data = GetArticleByID($iAdId);
	if(!is_array($data) || sizeof($data)==0)	{
		$RedirectTag = "<meta http-equiv=\"refresh\" content=\"0; URL=index.php\">";
		include "inc/header.inc.php";
		die();
	}
	$element = $data[0];	

	$CatArray = GetCategorieByID($element['adcat']);
	
	
	//
	// Process form
	//	
	if(isset($_POST['ready']) && strtoupper($_POST['ready']) == "YES")		{
					
		// Test mandatory fields
		if(empty($_POST['name']))	{ $nametest = FALSE; }
		if(empty($_POST['yourmail']))	{ $yourmailtest = FALSE; }
		if(empty($_POST['friendsemail']))	{ $friendsemailtest = FALSE; }
		
		// If theres any problem with mandatory fields, give a response to user and let script die
		if($nametest==FALSE|| $yourmailtest==FALSE || $friendsemailtest==FALSE)		{
			$bError = TRUE;
			$strMessage = LANG_NEWADMANDATORYERROR;
		}

		// Test email-adresses
		if (!$bError && !eregi(REGEX_EMAILCHECK, $_POST['yourmail']))		{
			$yourmailtest = FALSE;
		}
		if (!$bError && !eregi(REGEX_EMAILCHECK, $_POST['friendsemail']))		{
			$friendsemailtest = false;		
		}
		
		if($friendsemailtest==false || $yourmailtest ==false)	{
			$bError = TRUE;
			$strMessage = LANG_NEWADEMAILERROR;
		}
		
	
		if(!$bError)	{
			
			// Build EmailHeader (Fake one)
			$header = "From:".$_POST['yourmail']."\nReply-To:".$_POST['yourmail'].
				"\nX-Mailer: CTS-ClassAd ".$GLOBALS['VERSION'];
			$emailTo = $_POST['friendsemail'];
			$subject = ParseIn(LANG_TELLADSUBJECT, $GLOBALS['PD_WEBURL']);

			$ArtPicLink = $element['adpiclink'];
			if(empty($ArtPicLink))	{
				$ArtPicLink = "";	
				$ArtThumbLink = "";
			} else {
				$ArtPicLink = "http://".$GLOBALS['PD_WEBURL'].$GLOBALS['PD_SCRIPTPATH'].
					"/".$GLOBALS['PD_USERGRAPHICS'].$element['adpiclink'];
				$ArtThumbLink = "http://".$GLOBALS['PD_WEBURL'].$GLOBALS['PD_SCRIPTPATH'].
					"/".$GLOBALS['PD_USERGRAPHICS']."tn_".$element['adpiclink'];
			}
			
			$MailArray = array( 	"ArticleTitle"		=>  $element['adtitle'],
								 	"ArticleLink"		=>	"http://".$GLOBALS['PD_WEBURL'].
								 		$GLOBALS['PD_SCRIPTPATH']."/showad.php?adid=".$element['adid'],
								 	"AdTeller"			=>	$_POST['name'],
								 	"AdTellerMail"		=>	$_POST['yourmail'],
								 	"AdTellersMessage"	=>	$_POST['moretext'],
								 	"CategoryName"		=> $element['catname'],
								 	"ContName"			=>	"",
								 	"ContTel"			=>	"",
								 	"ContFax"			=>	"",
								 	"ContEmail"			=>	"",
								 	"ContZip"			=>	"",
								 	"ContCity"			=>	"",
								 	"ContCountry"		=>	"",
								 	"ContText"			=>	"",
								 	"NewAdLink"			=>	"http://".$GLOBALS['PD_WEBURL'].
								 		$GLOBALS['PD_SCRIPTPATH']."/newad.php",
								 	"IndexLink"			=>	"http://".$GLOBALS['PD_WEBURL'].
								 		$GLOBALS['PD_SCRIPTPATH']."/index.php",
								 	"DomainName"		=>	$GLOBALS['DOMAINNAME'],
								 	"DomainLink"		=>	$GLOBALS['PD_WEBURL'],				
								 	"ArticleText"		=> 	$element['adtext'],
								 	"ArticleName"		=>	$element['adname'],
								 	"ArticleTel"		=>	$element['adtel'],
								 	"ArticleFax"		=>	$element['adfax'],
								 	"ArticleEmail"		=>	$element['ademail'],
								 	"ArticleZip"		=>	$element['adzip'],
								 	"ArticleCountry"	=>	$element['adcountry'],
								 	"ArticleCity"		=>	$element['adcity'],
								 	"ArticleTnLink"		=>	$ArtThumbLink,
								 	"ArticlePicLink"	=>	$ArtPicLink
						);		
		
			if($GLOBALS['ML_COMPLETE_ARTICLE'])	{
				// Send the complete ad text
				$mailtext = ParseEmails("telladcomplete",$MailArray,$GLOBALS['DEFMAILLANG']);
			} else {
				$mailtext = ParseEmails("tellad",$MailArray,$GLOBALS['DEFMAILLANG']); 	
			}
		
			// Send Mail to friend
			$success = @mail($emailTo, $subject, $mailtext, $header);
			$_SESSION['s_MaxTell'] ++;
							
			// Send Administrators copy
			if($GLOBALS['ML_ADMINCOPY'] == TRUE)		{
				$subject = ParseIn(LANG_COPYMAILSUBJECT,$subject);
				$emailTo = $GLOBALS['ML_ADMINEMAIL'];
				$header = "From:webmaster@".$GLOBALS['DOMAINNAME']."\nReply-To:webmaster@".
					$GLOBALS['DOMAINNAME']."\nX-Mailer: CTS-ClassAd ".$GLOBALS['VERSION'];
				$mailtext.= "\r\rAdministrator-Information:\rOriginal sender IP-Adress: ".
					$_SERVER['REMOTE_ADDR']."\rSendername/-mail: ".$_POST['name'].
					(isset($_POST['email'])?" - ".$_POST['email']:"");
				@mail($emailTo,$subject,$mailtext,$header);
			}
			
			// Test for success		
			if($success==true)	{
				AddCounter($iAdId,3,1);
				
				// Everything worked properly
				$strMessage = LANG_SENDMAILSUCCESS;
							
				// Link to submitted ad, but only, if direct submit was allowed
				$strMessage.=  "<br><a href=\"showad.php?adid=".$iAdId."\">".LANG_LINKTOSPECARTICLE."</a>".
					"<br><a href=\"showads.php?catid=".$element['adcat']."\">".ParseIn(LANG_LINKTOSPECCAT, $element['catname'])."</a>";				
				
				include "templates/".$GLOBALS['ACTIVELANGUAGE']."/success.tpl.php";
				include "inc/footer.inc.php";
				die();

			} else {
				$bError = TRUE;
				$strMessage = LANG_SENDMAILFAILED;
			}
		}	
	} else {
		
		// Show known values
		if(isset($_SESSION['s_UserInfo']) && is_array($_SESSION['s_UserInfo']))		{
			$_POST['name'] = $_SESSION['s_UserInfo']['userrealname'];
			$_POST['yourmail'] = $_SESSION['s_UserInfo']['useremail']; 	
		}
	}
	
	
	//
	// Display template
	//	
	
	// Add links to search and to enter a new advertisment
	$BreadCrumb =  "<a href=\"index.php\">".LANG_FIELDMAINCATEGORY."</a>".
		BuildCatHistory($CatArray['catid']).
		"&nbsp;&gt;&nbsp;".
		"<a href=\"showad.php?adid=".$iAdId."\">".$element['adtitle']."</a>".
		"&nbsp;&gt;&nbsp;".
		LANG_TTLTELLAFRIEND; 
		
	// Build error icon
  	$ImgError = "<img src=\"".$GLOBALS['PD_SCRIPTGRAPHICS']."x.gif\" valign=\"center\">";

  	$strAdTitle = $element['adtitle'];
	$strAdThumbLink = (!empty($element['adpiclink'])?
		$GLOBALS['PD_USERGRAPHICS']."tn_".$element['adpiclink']:
		$GLOBALS['PD_SCRIPTGRAPHICS']."tn_no_image.gif");
  	
  	// Include template
	include "templates/".$GLOBALS['ACTIVELANGUAGE']."/tellad.tpl.php";
	include "inc/footer.inc.php";
	
?>